Subject: Re: bug#21662: visible-bell causes display artifacts on OS X 10.11

From: Anders Lindgren <[email-masked]>
Date: Wed, 18 Nov 2015 21:27:33 +0100

Hi,

Today I tested suggested patch on an 10.11 and on 10.6.8.

The good news is that, visually, the patch looks really good! It replaced
the boring black square with the standard OS X icon "Caution" icon -- an
exclamation mark on a triangle. It is less intrusive, which I consider a
good thing.

Unfortunately, the code doesn't compile under 10.6.8. The code use the
"hidden" property of NSView (introduced in 10.10), and it the compiler
complains about the "." in the "[BellView.instance ..." construct.

I notices a minor problem under 10.11 as well. The icon is shadowed by
scroll bars, if they happen to be displayed in the middle of the frame,
like when having two side-by-side windows.

I will make an attempt to rewrite to code to work under 10.6.8.

Sincerely,
    Anders Lindgren